## libfastahack 0.0%2B20160702

=== debian/control ===
Source: libfastahack
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               d-shlibs,
               libdisorder-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libfastahack.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libfastahack.git
Homepage: https://github.com/ekg/fastahack

Package: libfastahack0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: library for indexing and sequence extraction from FASTA files (lib)
 fastahack is a small application for indexing and extracting sequences and
 subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
 reader and indexer that can be embedded into applications which would benefit
 from directly reading subsequences from FASTA files.  The library automatically
 handles index file generation and use.
 .
 Features:
  * FASTA index (.fai) generation for FASTA files
  * Sequence extraction
  * Subsequence extraction
  * Sequence statistics (currently only entropy is provided)
 .
 Sequence and subsequence extraction use fseek64 to provide fastest-possible
 extraction without RAM-intensive file loading operations.  This makes fastahack
 a useful tool for bioinformaticists who need to quickly extract many
 subsequences from a reference FASTA sequence.
 .
 This package contains the dynamic library.

Package: libfastahack-dev
Architecture: any
Section: libdevel
Depends: libfastahack0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: library for indexing and sequence extraction from FASTA files (devel)
 fastahack is a small application for indexing and extracting sequences and
 subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
 reader and indexer that can be embedded into applications which would benefit
 from directly reading subsequences from FASTA files.  The library automatically
 handles index file generation and use.
 .
 Features:
  * FASTA index (.fai) generation for FASTA files
  * Sequence extraction
  * Subsequence extraction
  * Sequence statistics (currently only entropy is provided)
 .
 Sequence and subsequence extraction use fseek64 to provide fastest-possible
 extraction without RAM-intensive file loading operations.  This makes fastahack
 a useful tool for bioinformaticists who need to quickly extract many
 subsequences from a reference FASTA sequence.
 .
 This is the development package containing the statically linked
 library and the header files.

Package: fastahack
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: utility for indexing and sequence extraction from FASTA files
 fastahack is a small application for indexing and extracting sequences and
 subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
 reader and indexer that can be embedded into applications which would benefit
 from directly reading subsequences from FASTA files.  The library automatically
 handles index file generation and use.
 .
 Features:
  * FASTA index (.fai) generation for FASTA files
  * Sequence extraction
  * Subsequence extraction
  * Sequence statistics (currently only entropy is provided)
 .
 Sequence and subsequence extraction use fseek64 to provide fastest-possible
 extraction without RAM-intensive file loading operations.  This makes fastahack
 a useful tool for bioinformaticists who need to quickly extract many
 subsequences from a reference FASTA sequence.
