## libfastahack 0.0+20160702

=== debian/changelog ===
libfastahack (0.0+20160702-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2016 09:48:49 +0200

libfastahack (0.0+20160702-1) unstable; urgency=medium

  * Initial release (Closes: #827978)

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jul 2016 15:25:05 +0200
