## libfastahack 0.0+git20160702.bbc645f+dfsg

=== debian/changelog ===
libfastahack (0.0+git20160702.bbc645f+dfsg-6) unstable; urgency=medium

  * Set some symbols optional to make build more robust
    Closes: #915271
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 16:32:55 +0100

libfastahack (0.0+git20160702.bbc645f+dfsg-5) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Make some symbols on ppc64el as optional, when built with -O3
    (e.g. Ubuntu)

  [ Andreas Tille ]
  * Install missing header file split.h
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 13 Sep 2018 19:29:30 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-4) unstable; urgency=medium

  * Fix symbols file for mips64el and ppc64el
    Closes: #907210

 -- Andreas Tille <tille@debian.org>  Sun, 26 Aug 2018 21:15:36 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-3) unstable; urgency=medium

  * Provide symbols for selected architectures only
    Closes: #907210

 -- Andreas Tille <tille@debian.org>  Sat, 25 Aug 2018 17:40:36 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix Makefile.am
    Closes: #906481

  [ Andreas Tille ]
  * Standards-Version: 4.2.0
  * d/rules: Drop --no-parallel
  * drop +dfsg from symbols file

 -- Andreas Tille <tille@debian.org>  Sat, 18 Aug 2018 07:54:07 +0200

libfastahack (0.0+git20160702.bbc645f+dfsg-1) unstable; urgency=medium

  * d/watch: Use git mode
  * drop now unneeded get-orig-source target
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Force --no-parallel since package would not build otherwise
  * hardening=+all
  * d/rules: do not parse d/changelog
  * Add symbols file

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 08:25:19 +0200
