=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                libdisorder-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libfastahack.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libfastahack.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/libfastahack
+Vcs-Git: https://salsa.debian.org/med-team/libfastahack.git
 Homepage: https://github.com/ekg/fastahack
 
 Package: libfastahack0
