=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

override_dh_makeshlibs:
ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "On architecture $(DEB_BUILD_ARCH) symbols file is provided"
else
	echo "Symbols file for architecture $(DEB_BUILD_ARCH) is not provided"
	mkdir -p debian/hidesymbols
	mv debian/*.symbols debian/hidesymbols
endif
	dh_makeshlibs
ifeq ($(DEB_BUILD_ARCH),$(filter $(DEB_BUILD_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "dh_makeshlibs for architecture $(DEB_BUILD_ARCH) including symbols done"
else
	# restore original debian/ dir to enable building twice in a row
	mv debian/hidesymbols/*.symbols debian
	rmdir debian/hidesymbols
endif
