=== debian/watch ===
version=4

opts="mode=git,pretty=0.0+git%cd.%h,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
    https://github.com/ekg/fastahack.git HEAD

# Issue asking for release tags:
#    https://github.com/ekg/fastahack/issues/14
