## libfastahack 1.0.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_installman:
	help2man --no-discard-stderr --no-info --version-string=$(DEB_VERSION) \
		--name="fastahack - indexing and extracting sequences and subsequences from FASTA files" \
		./fastahack > debian/fastahack.1
	dh_installman

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./fastahack tests/correct.fasta 2>&1 | grep -v ERROR
	./fastahack tests/crlf.fasta 2>&1 | grep -v ERROR
	./fastahack tests/embedded_newline.fasta 2>&1 | grep 'ERROR: embedded newline'
	./fastahack tests/mismatched_lines.fasta 2>&1 | grep 'ERROR: mismatched line lengths'
	./fastahack tests/trailing_newlines.fasta 2>&1 | grep -v ERROR
	rm tests/*.fai
endif

override_dh_install:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/tmp/usr/include/* usr/include \
		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
		    debian/tmp/usr/lib/*/*.so

override_dh_makeshlibs:
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "On architecture $(DEB_HOST_ARCH) symbols file is provided"
else
	echo "Symbols file for architecture $(DEB_HOST_ARCH) is not provided"
	mkdir -p debian/hidesymbols
	mv debian/*.symbols debian/hidesymbols
endif
	dh_makeshlibs
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
	echo "dh_makeshlibs for architecture $(DEB_HOST_ARCH) including symbols done"
else
	# restore original debian/ dir to enable building twice in a row
	mv debian/hidesymbols/*.symbols debian
	rmdir debian/hidesymbols
endif
