## libfastahack 1.0.0+dfsg

=== debian/changelog ===
libfastahack (1.0.0+dfsg-10) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/libfastahack0.symbols: mark GCC 12 specific symbols optional.
    (Closes: #1012976)
  * d/control: declare compliance to standards version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Jul 2022 10:28:30 +0200

libfastahack (1.0.0+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Mark another symbol as optional for GCC 11. Closes: #984104

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Oct 2021 14:19:02 +0200

libfastahack (1.0.0+dfsg-8) unstable; urgency=medium

  [ Steffen Moeller ]
  * Fixed d/watch (github path change)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)
  * Apply multi-arch hints.
    + libfastahack-dev, libfastahack0: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:41:58 +0200

libfastahack (1.0.0+dfsg-7) unstable; urgency=medium

  * make .symbols file more resilient in handling of template symbols
    (Thanks for the patch to Steve Langasek)
    Closes: #976999
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2020 12:31:30 +0100

libfastahack (1.0.0+dfsg-6) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove libfastahack.la from build to make dh_missing happy
  * Update symbols for gcc-10
    Closes: #957438

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 14:51:27 +0200

libfastahack (1.0.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Breaks+Replaces: libfastahack0 (<< 1.0.0+dfsg-4)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 19:40:17 +0100

libfastahack (1.0.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Generate a manual page with help2man
  * Run some basic tests
  * Use those tests as an autopkgtest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 08 Jan 2020 10:55:37 +0100

libfastahack (1.0.0+dfsg-3) unstable; urgency=medium

  [ Steve Langasek ]
  * mark an additional templated symbol optional for compatibility with gcc -O3
    Closes: #948398

  [ Andreas Tille ]
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jan 2020 10:11:02 +0100

libfastahack (1.0.0+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Fix build/host confusion. (Closes: #939512)

  [ Andreas Tille ]
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 13:33:41 +0200

libfastahack (1.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.
  * Add the one new symbol

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 04 Sep 2019 15:37:29 +0900
