=== debian/control ===
--- 
+++ 
@@ -1,21 +1,25 @@
 Source: libfastahack
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
-               libdisorder-dev
-Standards-Version: 4.2.1
+               libdisorder-dev,
+               help2man
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/libfastahack
 Vcs-Git: https://salsa.debian.org/med-team/libfastahack.git
 Homepage: https://github.com/ekg/fastahack
+Rules-Requires-Root: no
 
 Package: libfastahack0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: library for indexing and sequence extraction from FASTA files (lib)
  fastahack is a small application for indexing and extracting sequences and
  subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
@@ -40,8 +44,8 @@
 Architecture: any
 Section: libdevel
 Depends: libfastahack0 (= ${binary:Version}),
-         ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: library for indexing and sequence extraction from FASTA files (devel)
  fastahack is a small application for indexing and extracting sequences and
  subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
@@ -67,6 +71,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: libfastahack0 (<< 1.0.0+dfsg-4)
+Replaces: libfastahack0 (<< 1.0.0+dfsg-4)
 Description: utility for indexing and sequence extraction from FASTA files
  fastahack is a small application for indexing and extracting sequences and
  subsequences from FASTA files.  The included Fasta.cpp library provides a FASTA
