=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 		    --movedev debian/tmp/usr/include/* usr/include \
 		    --movedev "debian/tmp/usr/lib/*/pkgconfig/*.pc" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
 		    debian/tmp/usr/lib/*/*.so
+	find debian -name libfastahack.la -delete
 
 override_dh_makeshlibs:
 ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 arm64 mips64el ppc64el ia64 kfreebsd-amd64 risc64 sparc64))
