=== debian/tests/control ===
Test-Command: /usr/bin/fastahack tests/correct.fasta 2>&1 | grep -v ERROR && /usr/bin/fastahack tests/crlf.fasta 2>&1 | grep -v ERROR && /usr/bin/fastahack tests/embedded_newline.fasta 2>&1 | grep 'ERROR: embedded newline' && /usr/bin/fastahack tests/mismatched_lines.fasta 2>&1 | grep 'ERROR: mismatched line lengths' && /usr/bin/fastahack tests/trailing_newlines.fasta 2>&1 | grep -v ERROR
Depends: fastahack
Restrictions: allow-stderr
